package domain

type AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery struct {
	/*
	   分页参数     */
	Page *AlibabaHmMarketingItempoolStairQueryitemBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   查询指定的skucode     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery) SetPage(v AlibabaHmMarketingItempoolStairQueryitemBasePageQuery) *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingItempoolStairQueryitemActivitySkuQuery {
	s.ActivityId = &v
	return s
}
